Software Development Kit (SDK) and API Discussions

Highlighted

API Services - Multiple API Versions for ontap API

In API services 2.1 there are multiple versions of the ontap api:

* ontap1.0

* ontap2.0

* ontap3.0

* ontap4.0

* ontap5.0

 

In the OnCommand API Services  2.1 API Programmer's Guide PDF it only says:

 

In addition to 1.0 version APIs, 2.0, 3.0 and 4.0 versions are available for /ontap
endpoints.

But what are the differences?

Should I use ontap2.0 because of API services 2.1? Smiley Wink

1 REPLY 1
Highlighted

Re: API Services - Multiple API Versions for ontap API

pl. use ontap5.0.  APIS has ontap1.0 to ontap5.0 due to versioning wrt ontap object.

View solution in original post

Check out the KB!
Knowledge Base
All Community Forums